Bug 697229 (CVE-2011-1589) - CVE-2011-1589 perl-Mojolicious: directory traversal flaw
Summary: CVE-2011-1589 perl-Mojolicious: directory traversal flaw
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2011-1589
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 697230
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 02:32 UTC by Vincent Danen
Modified: 2019-09-29 12:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:57:48 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-04-17 02:32:45 UTC
A directory traversal flaw was found in Mojolicious [1].  Because Mojolicious did not unescape paths before processing them, a user could use it to view arbitrary files using '%2f' rather than '/' (for example: %2f..%2f).  This has been corrected in upstream version 1.17 [2].

[1] https://github.com/kraih/mojo/issues/114
[2] https://github.com/kraih/mojo/commit/b09854988c5b5b6a2ba53cc8661c4b2677da3818

Comment 1 Vincent Danen 2011-04-17 02:34:33 UTC
Created perl-Mojolicious tracking bugs for this issue

Affects: fedora-all [bug 697230]

Comment 2 Vincent Danen 2011-04-18 21:55:36 UTC
This was assigned the name CVE-2011-1589.

Comment 3 Product Security DevOps Team 2019-06-10 10:57:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.